Products

LEGO Harry Potter: Years 1-4 (box): £13.99
LEGO Harry Potter: Years 5-7 (box): £13.99

 

System requirements:

  • DVD drive
  • Mac OS X 10.6
  • 1.4GHz Intel Mac Core Duo
  • 8GB HDD
  • 1024MB RAM
  • LEGO Harry Potter Years 1-4 does not support NVIDIA 7xxx series or Intel GMA series graphics cards.
  • Full system requirements are available on the LEGO Harry Potter Years 1-4 mini-site at feralinteractive.com/legoharrypotter .
  • If you encounter problems playing the game, please visit support.feralinteractive.com and contact our support team. This allows us to deal with your issue quickly, and helps us to improve our games.
  • The Ministry of Magic strongly advises that this game should be played out of sight of Muggles.

 

Press quotes

4 stars "There have been plenty of Harry Potter games, but this takes the lead with a magical atmosphere filled with charm and wit. The cut-scenes, music, recreation of Hogwarts and use of magic all add up to make one fantastic title." - iCreate

5 stars "I've played all of the LEGO games and I can safely say that LEGO Harry Potter Years 1-4 is the best of the franchise." - Appletell

8.25/10 "If you are fond of LEGO toys, Harry Potter, or are just looking for family-friendly title to keep your kids occupied, then this is an easy game to recommend." - InsideMacGames

 

Copyright © 2019 Application Systems London | Contact | Terms | Privacy Policy